#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "spasm.h"
#include "dbfunc.h"

void spasm_error(int syslevel, char *errstr, ...) {
    va_list arglist;

    va_start(arglist, errstr);
    vfprintf(stderr, errstr, arglist);
    fprintf(stderr, "\n");      /* spasm_error args aren't terminated by \n */
    va_end(arglist);
}

int main(int argc, char **argv) {
    int rc;

    rc = spasm_lookup_filter(argv[1], argv[2]);
    printf("%d\n", rc);
    exit(0);
}
